Bug 159340 - [patch] emulators/bochs: CFLAGS needs -I${LOCALBASE}/include if alsalib is installed
Summary: [patch] emulators/bochs: CFLAGS needs -I${LOCALBASE}/include if alsalib is in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 00:40 UTC by Joel Ray Holveck
Modified: 2011-08-07 14:00 UTC (History)
0 users

See Also:


Attachments
file.diff (429 bytes, patch)
2011-08-01 00:40 UTC, Joel Ray Holveck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Ray Holveck 2011-08-01 00:40:07 UTC
The configure process will search for alsalib using CPPFLAGS, which the port's Makefile sets to -I${LOCALBASE}/include.  However, the actual make will only use CFLAGS, so if configure found alsalib, the make will fail because it can't find the .h files.

Fix: Add ${CPPFLAGS} to CFLAGS in emulators/bochs/Makefile

Patch attached with submission follows:
How-To-Repeat: Install audio/alsa-lib, then try to build emulators/bochs
Comment 1 Tilman Keskinoz freebsd_committer 2011-08-01 19:24:20 UTC
State Changed
From-To: open->feedback

If the port compiles against alsa-lib, it needs a dependency on alsalib. 

Can you supply a patch, that adds this dependency?
Comment 2 Tilman Keskinoz freebsd_committer 2011-08-02 06:45:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Take the PR, i am working with the submitter
Comment 3 dfilter service freebsd_committer 2011-08-07 13:59:08 UTC
arved       2011-08-07 12:58:59 UTC

  FreeBSD ports repository

  Modified files:
    emulators/bochs      Makefile 
  Log:
  Add dependency on alsa-lib. Port picks it up with configure if installed
  Fix mispelled option MISALIGNED
  
  PR:             159340
  Submitted by:   Joel Ray Holveck <joelh@piquan.org>
  
  Revision  Changes    Path
  1.91      +5 -2      ports/emulators/bochs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2011-08-07 13:59:16 UTC
State Changed
From-To: feedback->closed

committed, thanks